STRUCT IEEE80211_STA(9)

NAME
struct_ieee80211_sta_ht_cap - STA's HT capabilities

SYNOPSIS

struct ieee80211_sta_ht_cap {
  u16 cap;
  bool ht_supported;
  u8 ampdu_factor;
  u8 ampdu_density;
  struct ieee80211_mcs_info mcs;
};

MEMBERS

cap
    HT capabilities map as described in 802.11n spec

ht_supported
    is HT supported by the STA

ampdu_factor
    Maximum A-MPDU length factor

ampdu_density
    Minimum A-MPDU spacing

mcs
    Supported MCS rates

DESCRIPTION

This structure describes most essential parameters needed to describe 802.11n HT capabilities for an STA.

AUTHOR

Johannes Berg <johannes@sipsolutions.net>
    Author.

COPYRIGHT